@echo off
echo /************************************************************************/
echo /* This script runs the GetValueSecure application.  It requires the    */
echo /* following parameters:                                                */
echo /*                                                                      */
echo /* Usage 1 (requires the EMS client certificates, EMSCA.der,            */
echo /* EMSClient.der and EMSClient.key, to be in the current directory):    */
echo /* -  the hostname/IP address of the EMS Server                         */
echo /* -  the username                                                      */
echo /* -  the password                                                      */
echo /*                                                                      */
echo /* Usage 2 (requires security certificates generated by                 */
echo /* GenerateCertificates):                                               */
echo /* -  the hostname/IP address of the EMS Server                         */
echo /* -  the Certificate Authority certificate filename                    */
echo /* -  the Client certificate filename                                   */
echo /* -  the Client private key filename                                   */
echo /*                                                                      */
echo /* For details of the script, see the comments in the source code.      */
echo /*                                                                      */
echo /* You will normally need to carry out these steps:                     */
echo /* -  generate certificates using GenerateCertificate                   */
echo /* -  move them to this directory if using Usage 1                      */
echo /* -  run this script; it will fail                                     */
echo /* -  use a client to find the new certificate in the OML tree (under   */
echo /*    EMS / Security Certificates) and authorize it                     */
echo /* -  run this script again; it should succeed                          */
echo /*                                                                      */
echo /* This application requires the IAIK security libraries, iaik_all.jar, */
echo /* the FSSL libraries, fssl.jar, and ORBacus, orbacus.jar, to be        */
echo /* present in the ..\classes directory.                                 */
echo /* See http://jce.iaik.tugraz.at/, http://www.orbacus.com/, and the     */
echo /* readme.txt file.                                                     */
echo /************************************************************************/

@echo on
@java -classpath ..\classes;..\classes\orbacus.jar;..\classes\fssl.jar;..\classes\iaik_all.jar -Xbootclasspath/p:..\classes\fssl.jar;..\classes\iaik_all.jar;..\classes\orbacus.jar GetValueSecure %1 %2 %3 %4
